Bug 575619 - orbited initscript kills ALL processes named orbited on stop
Summary: orbited initscript kills ALL processes named orbited on stop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: orbited
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-21 19:52 UTC by Anders Kaseorg
Modified: 2016-09-20 02:40 UTC (History)
2 users (show)

Fixed In Version: orbited-0.7.10-5.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 00:23:26 UTC


Attachments (Terms of Use)

Description Anders Kaseorg 2010-03-21 19:52:25 UTC
When I run ‘/etc/init.d/orbited stop’, the initscript kills all processes that happen to be named orbited, even user processes.  It should only kill processes that it started itself, using a pidfile.

Comment 1 Bug Zapper 2010-04-28 11:58:50 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 15:42:38 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Bug Zapper 2010-07-30 11:08:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Luke Macken 2010-12-14 17:44:27 UTC
Fixed in rawhide.  Building for F14 and F13 as well.

Comment 5 Fedora Update System 2010-12-14 17:47:56 UTC
orbited-0.7.10-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/orbited-0.7.10-6.fc14

Comment 6 Fedora Update System 2010-12-14 18:25:44 UTC
orbited-0.7.10-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/orbited-0.7.10-5.fc13

Comment 7 Fedora Update System 2010-12-14 18:46:17 UTC
orbited-0.7.10-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/orbited-0.7.10-5.el5

Comment 8 Fedora Update System 2010-12-17 06:51:15 UTC
orbited-0.7.10-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update orbited'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/orbited-0.7.10-5.el5

Comment 9 Fedora Update System 2010-12-25 00:23:12 UTC
orbited-0.7.10-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-12-25 00:31:10 UTC
orbited-0.7.10-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-01-04 17:33:35 UTC
orbited-0.7.10-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.